@import url("https://fonts.googleapis.com/css?family=Montserrat:100i,300,400,700");
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

html {
  font-size: 62.5%;
}

body {
  height: 85vh;
  width: 100%;
  box-sizing: border-box;
  font-family: "Montserrat", sans-serif;
  font-size: 1.6rem;
  font-weight: 300;
  line-height: 1.65;
  color: #555555;
  background: url(https://images.unsplash.com/photo-1540110234959-2b69b1ffd2c8?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=7d43901665b272e1e9ffa6ff9a15bd4e&auto=format&fit=crop&w=1190&q=80);
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
}

.header {
  width: 100vw;
  height: 100vh;
  background-size: cover;
  position: relative;
}

.navigation {
  width: 10rem;
  height: 100%;
  display: block;
  padding-right: 4rem;
  position: absolute;
  top: 0;
  left: 0;
  background: #fff;
  border-radius: 0% 50% 350% 0%;
  perspective: 800;
  transition: all 800ms cubic-bezier(0.9, 0, 0.33, 1);
}
.navigation__icon {
  width: 5.5rem;
  height: 4.4rem;
  display: block;
  position: relative;
  top: 22%;
  left: 35%;
  cursor: pointer;
  transition: all 800ms cubic-bezier(0.9, 0, 0.33, 1);
}
.navigation__line {
  height: 3px;
  display: block;
  background: #fc0363;
  position: absolute;
  transform: rotate(0);
  transition: all 800ms cubic-bezier(0.9, 0, 0.33, 1);
}
.navigation__line--topbar {
  width: 5.5rem;
  top: 1rem;
}
.navigation__line--middlebar {
  width: 5.5rem;
  top: 2rem;
}
.navigation__line--bottombar {
  width: 3.5rem;
  top: 3rem;
}
.navigation__ul {
  float: right;
  margin-top: 22rem;
  opacity: 0;
  visibility: hidden;
  transform: rotateY(-90deg) translateX(-30rem);
  transition: all 800ms cubic-bezier(0.9, 0, 0.33, 1);
}
.navigation__li {
  list-style: none;
  text-align: right;
}
.navigation__a:visited, .navigation__a:link {
  display: block;
  font-size: 3rem;
  font-weight: 700;
  text-transform: uppercase;
  text-decoration: none;
  color: #555555;
  margin-bottom: 1.5rem;
}
.navigation__a:hover, .navigation__a:active {
  color: #0397a5;
}
.navigation.open {
  width: 35rem;
  height: 100%;
  display: block;
  background: #fff;
  position: absolute;
  left: 0;
  border-radius: 0% 1% 1% 0%;
}
.navigation.open .navigation__icon {
  left: 80%;
}
.navigation.open .navigation__ul {
  opacity: 1;
  visibility: visible;
}
.navigation.open .navigation__line--topbar {
  top: 2.1rem;
  transform: rotate(45deg);
}
.navigation.open .navigation__line--middlebar {
  width: 0;
  top: 2.2rem;
  opacity: 0;
  visibility: hidden;
  transform: translateX(3rem);
}
.navigation.open .navigation__line--bottombar {
  width: 5.5rem;
  top: 2.1rem;
  transform: rotate(-45deg);
}
.navigation.open .navigation__ul {
  transform: rotateY(0) translateX(0);
}